
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was NESTConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

get_filename_component(NEST_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
include(CMakeFindDependencyMacro)

list(APPEND CMAKE_MODULE_PATH ${NEST_CMAKE_DIR})
set(NEST_INCLUDE_DIRS
    "${PACKAGE_PREFIX_DIR}/include"
    "${PACKAGE_PREFIX_DIR}/include/NEST"
    "${PACKAGE_PREFIX_DIR}/include/NEST/G4"
    "${PACKAGE_PREFIX_DIR}/include/Detectors"
)

# Internal gcem build
if(NOT TARGET gcem)
  find_dependency(gcem PATHS "${NEST_CMAKE_DIR}/../gcem")
endif()

if(NOT TARGET NEST::Core)
    include("${NEST_CMAKE_DIR}/NESTTargets.cmake")
endif()

set(NEST_LIBRARIES NEST::Core)
